Get all valuations Run in API Explorer
Ask AI
Query parameters
-
Filter by a comma separated list of UUIDs.
-
Filter by valuations valued after a date.
-
Filter by valuations valued before a date.
-
Field to sort by. Valid fields are [valued_at]. Negative sign to denote DESC. Defaults to 'valued_at'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v1/plans/{plan_uuid}/valuations/{subAccount}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/valuations/{subAccount}' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "d23e656c-5bb3-46ba-964a-1862e665155e",
"created_at": "2026-11-17T20:47:12+00:00",
"updated_at": "2026-11-17T20:47:12+00:00",
"valued_at": "2026-11-17T20:47:12+00:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"sub_account": {
"uuid": "e94cda23-3868-4a34-9331-55f0a3fed448",
"created_at": "2026-11-17T20:47:12+00:00",
"updated_at": "2026-11-17T20:47:12+00:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "7b9fce1a-31a6-423a-a8b8-f43e501a0d6e",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"valued_at": "2026-11-17T20:47:16+00:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "827c279a-6ac9-4111-abc6-e571807b6364",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"is_proposed": true,
"proposed_at": "2026-11-17T00:00:00+00:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
}
}
]
}